# Method: liens.create

- [HTTP request](https://docs.cloud.google.com/resource-manager/reference/rest/v1/liens/create#body.HTTP_TEMPLATE)
- [Request body](https://docs.cloud.google.com/resource-manager/reference/rest/v1/liens/create#body.request_body)
- [Response body](https://docs.cloud.google.com/resource-manager/reference/rest/v1/liens/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/resource-manager/reference/rest/v1/liens/create#body.aspect)
- [Try it!](https://docs.cloud.google.com/resource-manager/reference/rest/v1/liens/create#try-it)

Create a Lien which applies to the resource denoted by the `parent` field.

Callers of this method will require permission on the `parent` resource. For example, applying to `projects/1234` requires permission `resourcemanager.projects.updateLiens`.

NOTE: Some resources may limit the number of Liens which may be applied.

### HTTP request

`POST https://cloudresourcemanager.googleapis.com/v1/liens`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains an instance of `https://docs.cloud.google.com/resource-manager/reference/rest/Shared.Types/Lien`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/resource-manager/reference/rest/Shared.Types/Lien`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloud-platform.read-only`
- `https://www.googleapis.com/auth/cloudplatformprojects`
- `https://www.googleapis.com/auth/cloudplatformprojects.readonly`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).